{% extends 'base.html' %}

{% block title %}
    Notes - {{ name }}
{% endblock title %}
{% block content %}
    <main>
        <div>
            <h1>Notes for {{ name }}</h1>
            <p class="button-bar">
                <a href={% url "create_note" task.id %}>Create a new note</a>
                <a href={% url "show_project" task.project.id %}>Show "{{ task.project.name }}"</a>
            </p>
            <div class="note-box">
                {% for note in notes %}
                    <div class="note">
                        <h3>{{ note.author }}</h3>
                        <p>{{ note.created_on }}</p>
                        <p>{{ note.text }}</p>
                    </div>
                {% empty %}
                    <div class="note">
                        <p>This task has no notes</p>
                    </div>
                {% endfor %}
            </div>
        </div>
    </main>
{% endblock content %}
